[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.Destroy

Destroy is the destructor for TCustomDbGrid

## Declaration

Source position: dbgrids.pas line 546

`public destructor TCustomDBGrid.Destroy; override;`

## Description

Destroy is the overridden destructor in TCustomDbGrid. Destroy frees any bookmarks stored in the SelectedRows property. Destroys ensures that event handlers assigned to its DataLink property are removed prior to freeing resources allocated to the property.

Destroy calls the inherited Destroy method.

## See also

TCustomDBGrid.DataLink |  | Datalink for the component with event handlers for the linked dataset.
TCustomDBGrid.SelectedRows |  | SelectedRows are the recorded rows in a bookmark list.
TCustomGrid.Destroy |  | Destructor for the class instance.